Vsan File Service System Vsan Upgrade Fsvm

Vsan File Service System Vsan Upgrade Fsvm
Upgrade FSVM to latest ovf that is compatible with cluster's host version.

Upgrade FSVM to latest ovf that is compatible with cluster's host version.

A compatible OVF is expected be uploaded before calling this API. A preflight check will be conducted before the upgrade on the following API.

Request
URI
POST
https://{vcenter-host}/sdk/vim25/{release}/vsan/VsanFileServiceSystem/{moId}/VsanUpgradeFsvm
COPY
Path Parameters
string
moId
Required

The unique identifier for the managed object to which the method attaches; the serialized managed object reference for a request has the form moType/moId, in this case VsanFileServiceSystem/{moId}.

string
release
Required

The vSphere release schema. The current specification covers vSphere 9.1.0.0 APIs.


Request Body
VsanUpgradeFsvmRequestType of type(s) application/json
Required

Show optional properties

{
    "cluster": {}
}
{
    "cluster": {
        "_typeName": "string",
        "type": "string",
        "value": "string"
    }
}
cluster
Required

The target cluster in which FSVM deployed.

Required privileges: Host.Inventory.EditCluster

Authentication
This operation uses the following authentication methods.
Responses
200

None

Returns MoRefTask of type(s) application/json
This response body class contains all of the following: MoRefExtensibleManagedObject
{
    "_typeName": "string",
    "type": "string",
    "value": "string"
}

500

InvalidState: Exception if the OVF of the compatible version for the hosts cannot be found on the corresponding vCenter server, or file service is not running in a valid state.

Returns InvalidState of type(s) application/json
This response body class contains all of the following: VimFault
{
    "_typeName": "string",
    "faultCause": {
        "_typeName": "string",
        "faultCause": "MethodFault Object",
        "faultMessage": [
            {
                "_typeName": "string",
                "key": "string",
                "arg": [
                    {
                        "_typeName": "string",
                        "key": "string",
                        "value": {
                            "_typeName": "string"
                        }
                    }
                ],
                "message": "string"
            }
        ]
    },
    "faultMessage": [
        {
            "_typeName": "string",
            "key": "string",
            "arg": [
                {
                    "_typeName": "string",
                    "key": "string",
                    "value": {
                        "_typeName": "string"
                    }
                }
            ],
            "message": "string"
        }
    ]
}

Code Samples
COPY
                    curl -X POST -H 'Authorization: <value>' -H 'Content-Type: application/json' -d '{"cluster":"{}"}' https://{api_host}/sdk/vim25/{release}/vsan/VsanFileServiceSystem/{moId}/VsanUpgradeFsvm